% Compute multiplication matrix Lj
%    s = #variables
%    n = degree
%    j = effective variable

function Lj = LjMat( s,n,j )
  a = MultIndices( s,n );
  b = MultIndices( s,n+1 );

  [ am,an ] = size( a );
  [ bm,bn ] = size( b );

  Lj = zeros( bn,an );
  ea = eye( an );
  eb = eye( bn );

  for k=1:an
    x = a(:,k);
    x(j) = x(j) + 1;
    l = find( prod( ( x*ones(1,bn) == b ) ) );
    Lj = Lj + eb( :,l ) * ea( k,: );
  end
end

