% n = degree guess
% N = # of freqs
% trials = trials
function [ avgErr,maxErr ] = TestPronyImagLine( n,s,N,trials )
  avgErr = [0,0];
  maxErr1 = 0; maxErr2 = 0;
  fail = 0;

  for jN=1:trials
    fom = 2*rand( 1,N ) .- 1;
    Om = ones( s,1 ) * rand( 1,N ) * 2 * pi * i;
    SetOmega( fom, Om );
    [Pfom,POm] = Prony( n,s );

    if length( Pfom ) == length( fom )
      % make all frequencies positive
       
      Om = Om + 2 * pi * i * ( imag(Om) < 0 );
      POm = POm + 2 * pi * i * ( imag(POm) < 0 );
      
      % match the frequencies, build permutation
      
      M1 = [ Om; fom ];
      M2 = [ POm; Pfom ];
      
      [S,idx] = sortrows( imag(Om)' );
      M1 = M1( :,idx );
      
      [S,idx] = sortrows( imag(POm)' );
      M2 = M2( :,idx );
      
      M = M1 - M2;
      [ Mm, Mn ] = size( M );
      
      freqErr = M( 1:Mm-1, : );
      coErr = M( Mm,: );
      
      fmax = max( max (abs ( freqErr ) ) );
      cmax = max( abs( coErr ) );
      
      avgErr1 = sum(sum(abs(freqErr)))/(Mm*Mn);
      avgErr2 = sum(abs(coErr))/Mn;
      
      printf( "Frequencies: [%e/%e], Coeffs: [%e/%e] (avg/max)\n", avgErr1, fmax, avgErr2, cmax );
    
      maxErr1 = max( maxErr1, fmax );
      maxErr2 = max( maxErr2, cmax );
      avgErr = avgErr + [ avgErr1, avgErr2 ];
    else
	fail = fail+1;
    end
  end
  printf( "Fails: %d\n",fail );
  avgErr = avgErr / (trials-fail);
  maxErr = [ maxErr1, maxErr2 ];
end
